## apache2 2.4.18-2ubuntu3.17+8.0trisquel3

=== debian/changelog ===
apache2 (2.4.18-2ubuntu3.17+8.0trisquel3) flidas-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 20 May 2021 11:05:17 +0000
