=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 include /usr/share/dpkg/buildflags.mk
 
-LSB_RELEASE := $(shell lsb_release -i -s)
+LSB_RELEASE := $(shell lsb_release -i -s)_GNU/Linux
 SERVER_VERSION := $(shell dpkg-parsechangelog | perl -ne 'print $$1 if m/Version:\s*([\d\.]+)/')
 DEBIAN_VERSION := $(shell dpkg-parsechangelog | perl -ne 'print $$1 if m/Version:\s*(.+)/')
 BUILD_DATETIME := $(shell date -u --date="`dpkg-parsechangelog -S Date`" +%FT%T)
@@ -85,7 +85,20 @@
 		LTFLAGS="$(AP2_LTFLAGS)"
 
 
-override_dh_install: clean-config-vars prepare-scripts
+debian/config-dir/apache2.conf: debian/config-dir/apache2.conf.in
+	@# Sanity check that the marker is actually there
+	grep -q ___MUTEX___ $<
+ifeq "$(DEB_BUILD_ARCH_OS)" "linux"
+	@# On linux, we use the default pthread mutex. Comment out
+	@# Mutex directive.
+	perl -p -e 's,___MUTEX___,#,' < $< > $@
+else
+	@# On kfreebsd/hurd, pthread mutexes are not robust. There, we need to
+	@# use fcntl and set the directory explicitly for multi-instance setups.
+	perl -p -i -e 's,___MUTEX___,,' < $< > $@
+endif
+
+override_dh_install: clean-config-vars prepare-scripts debian/config-dir/apache2.conf
 	dh_install --list-missing
 
 override_dh_fixperms-arch:
